#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include "global.h"
#include "rf01.h"

unsigned char data[32];

int main(void)
{
	rf01_init();					// ein paar Register setzen (z.B. CLK auf 10MHz)
	rf01_setfreq(RF01FREQ(433.92));	// Sende/Empfangsfrequenz auf 433,92MHz einstellen
	rf01_setbandwidth(4);			// 200kHz Bandbreite
	rf01_setreceiver(2,4);			// -6dB Verstrkung, DRSSI threshold: -79dBm 
	rf01_setbaud(19200);			// 19200 Baud

	for (;;)
	{	rf01_rxdata(data, 32);		// 32Bytes empfangen
		// hier die Daten verarbeiten
	}
}

